
/**********************************************************
//		  MD1239		  
//		  |-------------------|
//                |            nRESET |--1-- P14(PIN8)
//                |              DIO0 |--2-- P03(NIRQ)
//                |              DIO1 |--3--
//                |              DIO2 |--4-- direct mode
//                |               GND |--5-- GND
//                |               VDD |--6-- VCC
//                |              DIO5 |--7-- Fosc clock out(div)
//                |               SCK |--8-- P31
//                |              MISO |--9-- P13
//                |              MOSI |--10- P12
//                |               NSS |--11- P11
//                |            LNA_EN |--12- P10
//                | ------------------|  
//      
      
;;/**********************************************************
		MD002 
;//      */

/**********************************************************/
typedef unsigned char byte;
typedef unsigned int  word;
typedef unsigned long lword;

typedef unsigned char   u8;
typedef unsigned int    u16;
typedef unsigned long   u32;
typedef signed char     s8;
typedef signed int      s16;
typedef signed long     s32;

typedef unsigned char UINT8;


//==================APP DEFINE==========
/*     Yellow Board Demo
                		    TSSOP20
                              |-------\_/-------|
            bz          ---1--|P00           P01|--20--- SP0
    ICPCLK  SP3         ---2--|P17           P02|--19--- SP1                  
    ICPDATA sim_UART    ---3--|P16           P03|--18--- SP2
                        ---4--|/RST          P04|--17--- BANK_SEL_VR        
                        ---5--|Vss  N79E814  P05|--16--- KEY   
           RLED    	---6--|P31           Vdd|--15---   
           GLED 	---7--|P30           P06|--14--- nRESET    
           NSS          ---8--|P14           P07|--13--- DIO0(DCLK)                     
           LNA_EN       ---9--|P13           P10|--12--- SCK      
           MOSI	        ---10-|P12           P11|--11--- MISO
                              |_________________|			        			        
       *(P12:pull up 10k)                                                        		        			        
*/	
/**********************************************************
IO port define
**********************************************************/
//RF define

#define nRESET		P06//;P31
#define DIO0		P07//;P30
#define SCK		P10//;P14
#define MISO		P11//;P13
#define MOSI		P12//;P12
#define LNA_EN		P13//;P11
#define NSS             P14  		        	

//SP(short-pad)	2^4=16, 16 kind of module
#define SP0             P01
#define SP1             P02
#define SP2             P03
#define SP3             P17


#define BZ_OUT		P00//;pwm2


#define GLED		P30
#define RLED		P31

#define BANK_SEL_VR     P04

#define KEY_IN		P05
#define key_in		P05


#define sim_uart_tx     P16   //test DATA OUT via this UART TX
//                   


/**********************************************************
**Constant define
**********************************************************/

#define c_acmode	0
#define c_momode	1
#define c_bzmode	2
#define c_ltmode	3    
#define c_bzmomode  5     
#define c_none_mode 0x0f

#define c_rfwindows 8 //5		//120ms		   4:6
#define c_rf_off_time 7////10 //9 	   //240ms;15
#define c_rf_short_off_time 7	//used fast clock timer2 
//#define c_rf_long_off_time 3	//used wdt as the off time under unit off status

#define c_auto_tx_time 16 //255  //5s

#define c_sleep_time   150//10min //1800  //1HR
#define c_full_G	0
#define c_half_O	1
#define c_low_R		2
#define c_vlow_off	3
	
#define c_onoff_key    1
#define c_none_key     0

#define KBI_Enable          0xFF
#define KBI_Level           0x00

u16 PWM_shadow;


/**********************************************************
**Extern variable define(RAM define)
**********************************************************/
u8  gb_Temp[4];
u8  gb_RxData[6];                                  //Receive data buffer
                                  //Rx status flag
u8 gb_TXFlagERR;
                              //System mode-Set mode
u16 gw_RF_SentInterval;                             //Send interval
                            //RF module
u8  gb_RF_RSSI;                                     //RF RSSI signal

unsigned char  gb_FreqBuf_Addr;                                //RF center frequency cache address
unsigned char  gb_RateBuf_Addr;
u8  gb_PowerBuf_Addr;
u8  gb_FdevBuf_Addr;
u8  gb_BandBuf_Addr;
u8  gb_Modem_Addr;

u8 gb_EA_bit_bak;

u8 gb_FreqSel;
u8 gb_PowerSel;
u8 gb_RateSel;

u8 gb_sp89_flag;
u8 gb_txrx_flag;	//sx1230 or sx1239 flag
u8 gb_bz_en_flag;
u8 gb_lt_en_flag;
u8 gb_en_rx_flag;
u8 gb_en_tx_flag;
gb_LED_light_flag;


u8 gb_key_press_flag;
u8 gb_key_hold_flag;
u8 gb_unit_on_flag;
u8 gb_KBI_int_flag;
u8 gb_lb_test_flag;

u8 gb_auto_sleep_flag;
u8 gb_timer_over;
u8 gb_rf_windows;
u8 gb_rf_off_time;
u8 gb_sec_cnt;
u16 gb_auto_sleep_cnt;
u8 gb_key_hold_cnt;


u8 gb_auto_tx_cnt;


u8 gb_led_on_time;
u8 gb_led_duration_cnt;
u8 gb_wr2;



u8 gb_key_name;
u8 gb_key_debounce_time;
u8 gb_key_debounce_flag;

u8 gb_TransID;
u8 gb_TransID_temp;


